#Region ;**** Directives created by AutoIt3Wrapper_GUI ****
#AutoIt3Wrapper_Icon=ico\empty.ico
#EndRegion ;**** Directives created by AutoIt3Wrapper_GUI ****
#include <ButtonConstants.au3>
#include <ComboConstants.au3>
#include <GDIPlus.au3>
#include <GDIPlusConstants.au3>
#include <GUIConstantsEx.au3>
#include <Misc.au3>
#include <WindowsConstants.au3>

#NoTrayIcon

Opt('GUIOnEventMode', 1)
Opt('GUICloseOnESC', 0)
OnAutoItExitRegister('_Exit')

Global $sTitle = 'AutoIt-Paint'
Global $sVersion = '0.1.0.0'
Global $sDate = '20.07.2014'

Global $sIconDir = @ScriptDir & '\ico\'

Global $i1ColX = 6, $i2ColX = 70, $iColY = 60, $iAddY = 54, $iAddX = 54
Global $iForegroundColor = 0x0000FF, $iBkColor = 0xFFFFFFFF, $iPenWidth = 1, $iBrushWidth = 10
Global $sPaintAction = 'Draw', $sOldAction = 'Draw', $fLoadImage = False
Global $iLineX = 0, $iLineY = 0, $fLineStart = False, $hHelpGui, $idAuthor1, $sLink1, $idAuthor2, $sLink2

Global $hGui = GUICreate(StringFormat('%s   v%3.3s', $sTitle, $sVersion), 1024, 700)
GUISetOnEvent($GUI_EVENT_CLOSE, '_CloseGui')
GUISetOnEvent($GUI_EVENT_PRIMARYDOWN, '_PrimaryAction')
GUISetOnEvent($GUI_EVENT_RESTORE, '_DrawBitmap2Gui')
GUISetIcon($sIconDir & 'empty.ico')

GUICtrlCreateLabel('', $i1ColX, 4, 48, 48, Default, $WS_EX_STATICEDGE)
GUICtrlSetTip(-1, 'Ausgewhltes Werkzeug')
Global $idAction = GUICtrlCreateIcon('', -1, $i1ColX + 8, 12, 32, 32)
GUICtrlSetImage(-1, $sIconDir & 'pen.ico')

Global $idClear = GUICtrlCreateButton('', $i2ColX, 4, 48, 48, $BS_ICON)
GUICtrlSetImage(-1, $sIconDir & 'empty.ico')
GUICtrlSetOnEvent(-1, '_ClearPic')
GUICtrlSetTip(-1, 'Neues Bild erstellen')
$i2ColX += $iAddX
Global $idSave = GUICtrlCreateButton('', $i2ColX, 4, 48, 48, $BS_ICON)
GUICtrlSetImage(-1, $sIconDir & 'load.ico')
GUICtrlSetOnEvent(-1, '_LoadPic')
GUICtrlSetTip(-1, 'Bild laden')
$i2ColX += $iAddX
Global $idSave = GUICtrlCreateButton('', $i2ColX, 4, 48, 48, $BS_ICON)
GUICtrlSetImage(-1, $sIconDir & 'save.ico')
GUICtrlSetOnEvent(-1, '_SavePic')
GUICtrlSetTip(-1, 'Bild speichern')
$i2ColX += $iAddX
Global $idSave = GUICtrlCreateButton('', $i2ColX, 4, 48, 48, $BS_ICON)
GUICtrlSetImage(-1, $sIconDir & 'help.ico')
GUICtrlSetOnEvent(-1, '_ShowHelp')
GUICtrlSetTip(-1, 'Programm-Informationen')

Global $idPen = GUICtrlCreateButton('', $i1ColX, $iColY, 48, 48, $BS_ICON)
GUICtrlSetImage(-1, $sIconDir & 'pen.ico')
GUICtrlSetOnEvent(-1, '_SetPencil')
GUICtrlSetTip(-1, 'Malstift')
$iColY += $iAddY
Global $idBrush = GUICtrlCreateButton('', $i1ColX, $iColY, 48, 48, $BS_ICON)
GUICtrlSetImage(-1, $sIconDir & 'brush.ico')
GUICtrlSetOnEvent(-1, '_SetBrush')
GUICtrlSetTip(-1, 'Pinsel')
$iColY += $iAddY
Global $idErase = GUICtrlCreateButton('', $i1ColX, $iColY, 48, 48, $BS_ICON)
GUICtrlSetImage(-1, $sIconDir & 'erase.ico')
GUICtrlSetOnEvent(-1, '_SetRubber')
GUICtrlSetTip(-1, 'Radiergummi')
$iColY += $iAddY
Global $idPipette = GUICtrlCreateButton('', $i1ColX, $iColY, 48, 48, $BS_ICON)
GUICtrlSetImage(-1, $sIconDir & 'pipette.ico')
GUICtrlSetTip(-1, 'Pipette')
GUICtrlSetOnEvent(-1, '_SetPipette')
$iColY += $iAddY
Global $idLine = GUICtrlCreateButton('', $i1ColX, $iColY, 48, 48, $BS_ICON)
GUICtrlSetImage(-1, $sIconDir & 'line.ico')
GUICtrlSetTip(-1, 'Linie')
GUICtrlSetOnEvent(-1, '_SetLine')
$iColY += $iAddY
Global $idEllipse = GUICtrlCreateButton('', $i1ColX, $iColY, 48, 48, $BS_ICON)
GUICtrlSetImage(-1, $sIconDir & 'rect.ico')
GUICtrlSetTip(-1, 'Quadrat/Rechteck' & @CRLF & '[SHIFT] = Quadrat' & @CRLF & '[STRG] = ausgefllt')
GUICtrlSetOnEvent(-1, '_SetRect')
$iColY += $iAddY
Global $idRect = GUICtrlCreateButton('', $i1ColX, $iColY, 48, 48, $BS_ICON)
GUICtrlSetImage(-1, $sIconDir & 'ellipse.ico')
GUICtrlSetTip(-1, 'Kreis/Ellipse' & @CRLF & '[SHIFT] = Kreis' & @CRLF & '[STRG] = ausgefllt')
GUICtrlSetOnEvent(-1, '_SetEllipse')

$iColY = 460
GUICtrlCreateIcon($sIconDir & 'penwidth.ico', -1, $i1ColX + 8, $iColY, 32, 32)
GUICtrlSetTip(-1, 'Stiftbreite')
$iColY += 32
Global $idPenWidth = GUICtrlCreateCombo('1px', $i1ColX, $iColY, 50, 48, $CBS_DROPDOWNLIST)
GUICtrlSetTip(-1, 'Stiftbreite')
GUICtrlSetData(-1, '2px|3px|4px|5px|6px|7px|8px|9px|10px')
GUICtrlSetOnEvent(-1, '_SetPenWidth')
$iColY = 524
GUICtrlCreateIcon($sIconDir & 'brushwidth.ico', -1, $i1ColX + 8, $iColY, 32, 32)
GUICtrlSetTip(-1, 'Pinselbreite')
$iColY += 32
Global $idBrushWidth = GUICtrlCreateCombo('3px', $i1ColX, $iColY, 50, 48, $CBS_DROPDOWNLIST)
GUICtrlSetTip(-1, 'Pinselbreite')
GUICtrlSetData(-1, '5px|7px|9px|10px|15px|20px|30px|50px', '10px')
GUICtrlSetOnEvent(-1, '_SetBrushWidth')
$iColY = 596
GUICtrlCreateIcon($sIconDir & 'color.ico', 0, $i1ColX + 8, $iColY, 32, 32)
$iColY += 38
Global $idFgColor = GUICtrlCreateLabel('', $i1ColX, $iColY, 24, 24, Default, $WS_EX_CLIENTEDGE)
GUICtrlSetBkColor(-1, 0x000000)
GUICtrlSetOnEvent(-1, '_SetForegroundColor')
GUICtrlSetTip(-1, 'Vordergrundfarbe auswhlen')
Global $idBgColor = GUICtrlCreateLabel('', $i1ColX + 26, $iColY, 24, 24, Default, $WS_EX_CLIENTEDGE)
GUICtrlSetBkColor(-1, 0xFFFFFF)

GUICtrlCreateIcon($sIconDir & 'coord.ico', -1, 880, 60, 32, 32)
Global $idCursorCoord = GUICtrlCreateLabel('', 880, 92, 130, 22, Default, $WS_EX_CLIENTEDGE)
GUICtrlSetFont(-1, 12, 600, 0, 'Courier New', 5)

Global $iPicX = 70, $iPicY = 60, $iPicWidth = 800, $iPicHeight = 600
GUICtrlCreateLabel('', $iPicX - 2, $iPicY - 2, $iPicWidth + 4, $iPicHeight + 4, Default, $WS_EX_CLIENTEDGE)
GUICtrlSetState(-1, $GUI_DISABLE)
Global $idPic = GUICtrlCreatePic('', $iPicX, $iPicY, $iPicWidth, $iPicHeight)
GUICtrlSetState(-1, $GUI_DISABLE)
Global $hPic = GUICtrlGetHandle($idPic)
GUISetState(@SW_SHOW, $hGui)
_CreateHelp()

_GDIPlus_Startup()
Global $hGfx = _GDIPlus_GraphicsCreateFromHWND($hPic)
Global $aCtrlSize = WinGetClientSize($hPic)
Global $hBitmap = _GDIPlus_BitmapCreateFromGraphics($aCtrlSize[0], $aCtrlSize[1], $hGfx)
Global $hGfxCtxt = _GDIPlus_ImageGetGraphicsContext($hBitmap)
_GDIPlus_GraphicsSetInterpolationMode($hGfxCtxt, 6)
_GDIPlus_GraphicsSetSmoothingMode($hGfxCtxt, 2)
_GDIPlus_GraphicsSetPixelOffsetMode($hGfxCtxt, $GDIP_PIXELOFFSETMODE_HIGHQUALITY)
_GDIPlus_GraphicsClear($hGfxCtxt, $iBkColor)
_GDIPlus_GraphicsDrawImageRect($hGfx, $hBitmap, 0, 0, $aCtrlSize[0], $aCtrlSize[1])
Global $hToolBitmap = _GDIPlus_BitmapCreateFromGraphics($aCtrlSize[0], $aCtrlSize[1], $hGfx)
Global $hToolCtx = _GDIPlus_ImageGetGraphicsContext($hToolBitmap)
_GDIPlus_GraphicsSetInterpolationMode($hToolCtx, 6)
_GDIPlus_GraphicsSetSmoothingMode($hToolCtx, 2)
_GDIPlus_GraphicsSetPixelOffsetMode($hToolCtx, $GDIP_PIXELOFFSETMODE_HIGHQUALITY)
Global $hPenDraw = _GDIPlus_PenCreate(0xFF000000, 1)
Global $hBrush = _GDIPlus_BrushCreateSolid(0xFF000000)
Global $hBrushErase = _GDIPlus_BrushCreateSolid($iBkColor)

GUIRegisterMsg($WM_PAINT, 'WM_PAINT')
GUIRegisterMsg($WM_MOUSEMOVE, 'WM_MOUSEMOVE')

GUISetCursor(2, 1, $hGui)
WinWaitClose($hGui)
Exit

Func _SetPenWidth()
	$iPenWidth = StringTrimRight(GUICtrlRead($idPenWidth), 2)
	_GDIPlus_PenSetWidth($hPenDraw, $iPenWidth)
EndFunc

Func _SetBrushWidth()
	$iBrushWidth = StringTrimRight(GUICtrlRead($idBrushWidth), 2)
EndFunc

Func _SetForegroundColor()
	Local $iRGB = _ChooseColor(2, $iForegroundColor, 2, $hGui)
	If $iRGB = -1 Then Return
	$iForegroundColor = $iRGB
	GUICtrlSetBkColor($idFgColor, $iForegroundColor)
	_GDIPlus_PenSetColor($hPenDraw, 0xFF000000 + $iForegroundColor)
	_GDIPlus_BrushSetSolidColor($hBrush, 0xFF000000 + $iForegroundColor)
EndFunc   ;==>_SetForegroundColor

Func _CloseGui()
	If MsgBox(4 + 32 + 256, $sTitle, 'Soll das Programm wirklich beendet werden?', 0, $hGui) = 7 Then Return
	GUIDelete($hGui)
EndFunc   ;==>_CloseGui

Func _Exit()
	_GDIPlus_BrushDispose($hBrushErase)
	_GDIPlus_BrushDispose($hBrush)
	_GDIPlus_PenDispose($hPenDraw)
	_GDIPlus_GraphicsDispose($hToolCtx)
	_GDIPlus_BitmapDispose($hToolBitmap)
	_GDIPlus_GraphicsDispose($hGfxCtxt)
	_GDIPlus_BitmapDispose($hBitmap)
	_GDIPlus_GraphicsDispose($hGfx)
	_GDIPlus_Shutdown()
EndFunc   ;==>_Exit

Func WM_MOUSEMOVE($hWnd, $Msg, $wParam, $lParam)
	Local Static $iActTimer = TimerInit()
	Local $iXPos = _WinAPI_LoWord($lParam) - $iPicX - 1, $iYPos = _WinAPI_HiWord($lParam) - $iPicY - 1
	If TimerDiff($iActTimer) > 50 Then
		$iActTimer = TimerInit()
		If $iXPos < 0 Then $iXPos = 0
		If $iXPos > $iPicWidth Then $iXPos = $iPicWidth
		If $iYPos < 0 Then $iYPos = 0
		If $iYPos > $iPicHeight Then $iYPos = $iPicHeight
		GUICtrlSetData($idCursorCoord, StringFormat('% 4s : % 4s', $iXPos, $iYPos))
	EndIf
	Return $GUI_RUNDEFMSG
EndFunc   ;==>WM_MOUSEMOVE

Func WM_PAINT($hWnd, $Msg, $wParam, $lParam)
	_DrawBitmap2Gui()
	Return $GUI_RUNDEFMSG
EndFunc   ;==>WM_PAINT

Func _DrawBitmap2Gui()
	_GDIPlus_GraphicsDrawImageRect($hGfx, $hBitmap, 0, 0, $aCtrlSize[0], $aCtrlSize[1])
EndFunc   ;==>_DrawBitmap2Gui

Func _PrimaryAction()
	If $fLoadImage Then
		$fLoadImage = False
		Sleep(250)
		Return
	EndIf
	Local $aInfo = GUIGetCursorInfo($hGui), $iX = $aInfo[0] - $iPicX, $iY = $aInfo[1] - $iPicY, $iRGB
	Do
		$aInfo = GUIGetCursorInfo($hGui)
		If $aInfo[4] <> $idPic Then ContinueLoop
		$aInfo[0] -= $iPicX
		$aInfo[1] -= $iPicY
		Switch $sPaintAction
			Case 'Draw'
				If $iX = $aInfo[0] And $iY = $aInfo[1] Then $aInfo[0] += 1
				_GDIPlus_GraphicsDrawLine($hGfxCtxt, $iX, $iY, $aInfo[0], $aInfo[1], $hPenDraw)
			Case 'Brush'
				_GDIPlus_GraphicsFillEllipse($hGfxCtxt, $aInfo[0] - $iPenWidth / 2, $aInfo[1] - $iBrushWidth / 2, $iBrushWidth, $iBrushWidth, $hBrush)
			Case 'Erase'
				_GDIPlus_GraphicsFillEllipse($hGfxCtxt, $aInfo[0] - 15, $aInfo[1] - 15, 30, 30, $hBrushErase)
			Case 'Pipette'
				If $aInfo[2] And $aInfo[4] = $idPic Then
					$iRGB = PixelGetColor(MouseGetPos(0), MouseGetPos(1))
					If $iRGB <> -1 Then
						$iForegroundColor = Hex($iRGB, 6)
						GUICtrlSetBkColor($idFgColor, '0x' & $iForegroundColor)
						_GDIPlus_PenSetColor($hPenDraw, '0xFF' & $iForegroundColor)
						_GDIPlus_BrushSetSolidColor($hBrush, '0xFF' & $iForegroundColor)
					EndIf
				EndIf
				Call($sOldAction)
			Case 'Line'
				If Not $fLineStart Then
					$fLineStart = True
					$iLineX = $iX
					$iLineY = $iY
				EndIf
				_GDIPlus_GraphicsClear($hToolCtx, 0x00000000)
				_GDIPlus_GraphicsDrawLine($hToolCtx, $iLineX, $iLineY, $aInfo[0], $aInfo[1], $hPenDraw)
			Case 'Rect'
				If Not $fLineStart Then
					$fLineStart = True
					$iLineX = $iX
					$iLineY = $iY
				EndIf
				_GDIPlus_GraphicsClear($hToolCtx, 0x00000000)
				If _IsPressed('10') Then $aInfo[1] = $iLineY + ($aInfo[0] - $iLineX)
				If _IsPressed('11') Then
					_GDIPlus_GraphicsFillRect($hToolCtx, $iLineX, $iLineY, $aInfo[0] - $iLineX, $aInfo[1] - $iLineY, $hBrush)
				Else
					_GDIPlus_GraphicsDrawRect($hToolCtx, $iLineX, $iLineY, $aInfo[0] - $iLineX, $aInfo[1] - $iLineY, $hPenDraw)
				EndIf
			Case 'Ellipse'
				If Not $fLineStart Then
					$fLineStart = True
					$iLineX = $iX
					$iLineY = $iY
				EndIf
				_GDIPlus_GraphicsClear($hToolCtx, 0x00000000)
				If _IsPressed('10') Then $aInfo[1] = $iLineY + ($aInfo[0] - $iLineX)
				If _IsPressed('11') Then
					_GDIPlus_GraphicsFillEllipse($hToolCtx, $iLineX, $iLineY, $aInfo[0] - $iLineX, $aInfo[1] - $iLineY, $hBrush)
				Else
					_GDIPlus_GraphicsDrawEllipse($hToolCtx, $iLineX, $iLineY, $aInfo[0] - $iLineX, $aInfo[1] - $iLineY, $hPenDraw)
				EndIf
		EndSwitch
		_GDIPlus_GraphicsDrawImageRect($hGfx, $hToolBitmap, 0, 0, $aCtrlSize[0], $aCtrlSize[1])
		_GDIPlus_GraphicsDrawImageRect($hGfx, $hBitmap, 0, 0, $aCtrlSize[0], $aCtrlSize[1])
		$iX = $aInfo[0]
		$iY = $aInfo[1]
		If _IsPressed('1B') Then
			$fLineStart = False
			$iLineX = $iX
			$iLineY = $iY
			_GDIPlus_GraphicsClear($hToolCtx, 0x00000000)
			Return
		EndIf
	Until Not $aInfo[2]
	If $fLineStart Then
		$fLineStart = False
		Switch $sPaintAction
			Case 'Line'
				_GDIPlus_GraphicsDrawLine($hGfxCtxt, $iLineX, $iLineY, $aInfo[0], $aInfo[1], $hPenDraw)
			Case 'Rect'
				If _IsPressed('11') Then
					_GDIPlus_GraphicsFillRect($hGfxCtxt, $iLineX, $iLineY, $aInfo[0] - $iLineX, $aInfo[1] - $iLineY, $hBrush)
				Else
					_GDIPlus_GraphicsDrawRect($hGfxCtxt, $iLineX, $iLineY, $aInfo[0] - $iLineX, $aInfo[1] - $iLineY, $hPenDraw)
				EndIf
			Case 'Ellipse'
				If _IsPressed('11') Then
					_GDIPlus_GraphicsFillEllipse($hGfxCtxt, $iLineX, $iLineY, $aInfo[0] - $iLineX, $aInfo[1] - $iLineY, $hBrush)
				Else
					_GDIPlus_GraphicsDrawEllipse($hGfxCtxt, $iLineX, $iLineY, $aInfo[0] - $iLineX, $aInfo[1] - $iLineY, $hPenDraw)
				EndIf
		EndSwitch
		_GDIPlus_GraphicsDrawImageRect($hGfx, $hBitmap, 0, 0, $aCtrlSize[0], $aCtrlSize[1])
	EndIf
EndFunc   ;==>_PrimaryAction

Func _LoadPic()
	Local $sExtFilter = 'Grafikdateien ('
	Local $aEncoder = _GDIPlus_Encoders()
	If @error Then Return
	For $i = 1 To $aEncoder[0][0]
		$sExtFilter &= $aEncoder[$i][6] & ';'
	Next
	$sExtFilter = StringTrimRight($sExtFilter, 1) & ')'
	Local $sLoadFile = FileOpenDialog($sTitle, @ScriptDir, $sExtFilter, 3, '', $hGui)
	If Not FileExists($sLoadFile) Then Return
	Local $hImage = _GDIPlus_ImageLoadFromFile($sLoadFile)
	If @error Then Return
	_GDIPlus_GraphicsClear($hGfxCtxt, $iBkColor)
	_GDIPlus_GraphicsDrawImageRect($hGfxCtxt, $hImage, 0, 0, $aCtrlSize[0], $aCtrlSize[1])
	_GDIPlus_GraphicsDrawImageRect($hGfx, $hBitmap, 0, 0, $aCtrlSize[0], $aCtrlSize[1])
	_GDIPlus_ImageDispose($hImage)
	$fLoadImage = True
EndFunc   ;==>_LoadPic

Func _SavePic()
	Local $sExtFilter = 'Grafikdateien ('
	Local $aEncoder = _GDIPlus_Encoders()
	If @error Then Return
	For $i = 1 To $aEncoder[0][0]
		$sExtFilter &= $aEncoder[$i][6] & ';'
	Next
	$sExtFilter = StringTrimRight($sExtFilter, 1) & ')'
	Local $sSaveFile = FileSaveDialog($sTitle, @ScriptDir, $sExtFilter, 18, '', $hGui)
	If @error Or $sSaveFile = '' Then Return
	If StringInStr($sExtFilter, StringRegExpReplace($sSaveFile, '.+(\..+)', '$1')) Then
		_GDIPlus_ImageSaveToFile($hBitmap, $sSaveFile)
	Else
		MsgBox(48, $sTitle, 'Das Bild konnte nicht gespeichert werden!' & @CRLF & 'Es werden nur die folgenden Dateiformate untersttzt:' & @CRLF & $sExtFilter, 0, $hGui)
	EndIf
	Return
EndFunc   ;==>_SavePic

Func _ClearPic()
	If MsgBox(4 + 32 + 256, $sTitle, 'Soll das Bild wirklich gelscht werden?', 0, $hGui) = 7 Then Return
	_GDIPlus_GraphicsClear($hGfxCtxt, $iBkColor)
	_GDIPlus_GraphicsDrawImageRect($hGfx, $hBitmap, 0, 0, $aCtrlSize[0], $aCtrlSize[1])
EndFunc   ;==>_ClearPic

Func _SetPencil()
	GUICtrlSetImage($idAction, $sIconDir & 'pen.ico')
	$sPaintAction = 'Draw'
	$sOldAction = '_SetPencil'
	GUISetCursor(2, 1, $hGui)
EndFunc   ;==>_SetPencil

Func _SetBrush()
	GUICtrlSetImage($idAction, $sIconDir & 'brush.ico')
	$sPaintAction = 'Brush'
	$sOldAction = '_SetBrush'
	GUISetCursor(0, 0, $hGui)
EndFunc   ;==>_SetBrush

Func _SetRubber()
	GUICtrlSetImage($idAction, $sIconDir & 'erase.ico')
	$sPaintAction = 'Erase'
	$sOldAction = '_SetPencil'
	GUISetCursor(3, 0, $hGui)
EndFunc   ;==>_SetRubber

Func _SetPipette()
	GUICtrlSetImage($idAction, $sIconDir & 'pipette.ico')
	$sPaintAction = 'Pipette'
	GUISetCursor(2, 0, $hGui)
EndFunc   ;==>_SetPipette

Func _SetLine()
	GUICtrlSetImage($idAction, $sIconDir & 'line.ico')
	$sPaintAction = 'Line'
	$sOldAction = '_SetLine'
	GUISetCursor(3, 0, $hGui)
EndFunc   ;==>_SetLine

Func _SetRect()
	GUICtrlSetImage($idAction, $sIconDir & 'rect.ico')
	$sPaintAction = 'Rect'
	$sOldAction = '_SetRect'
	GUISetCursor(3, 0, $hGui)
EndFunc   ;==>_SetRect

Func _SetEllipse()
	GUICtrlSetImage($idAction, $sIconDir & 'ellipse.ico')
	$sPaintAction = 'Ellipse'
	$sOldAction = '_SetEllipse'
	GUISetCursor(3, 0, $hGui)
EndFunc   ;==>_SetEllipse

Func _ShowHelp()
	GUISetState(@SW_SHOW, $hHelpGui)
EndFunc   ;==>_ShowHelp

Func _CloseHelp()
	GUISetState(@SW_HIDE, $hHelpGui)
EndFunc   ;==>_CloseHelp

Func _CreateHelp()
	Local $sMsg, $iWidth = 600
	$hHelpGui = GUICreate($sTitle & ' - Hilfe', $iWidth + 20, 300, -1, -1, BitOR($WS_POPUPWINDOW, $WS_CAPTION), Default, $hGui)
	GUISetIcon($sIconDir & 'empty.ico')
	GUISetOnEvent($GUI_EVENT_CLOSE, '_CloseHelp', $hHelpGui)
	GUISetBkColor(0xFFFFDD)
	$sMsg = 'Version:   %s\nDatum:    %s'
	GUICtrlCreateLabel(StringFormat($sMsg, $sVersion, $sDate), 80, 15, $iWidth, 40)
	GUICtrlSetFont(-1, 12, 600, 0, 'Verdana')
	$sMsg = 'Autor "AutoIt-Paint": \tThomas Stephan'
	GUICtrlCreateLabel(StringFormat($sMsg), 10, 70, 320, 20)
	GUICtrlSetFont(-1, 10, 400, 0, 'Verdana')
	$sLink1 = 'mailto:oscar@elektronik-kurs.de'
	$idAuthor1 = GUICtrlCreateLabel($sLink1, 330, 70, 260, 20)
	GUICtrlSetOnEvent(-1, '_ShowLink')
	GUICtrlSetFont(-1, 10, 400, 4, 'Verdana')
	GUICtrlSetColor(-1, 0x0000FF)
	GUICtrlSetCursor(-1, 0)
	$sMsg = 'Die Icons stammen von: \twww.fatcow.com'
	GUICtrlCreateLabel(StringFormat($sMsg), 10, 100, 320, 20)
	GUICtrlSetFont(-1, 10, 400, 0, 'Verdana')
	$sLink2 = 'http://www.fatcow.com/free-icons'
	$idAuthor2 = GUICtrlCreateLabel($sLink2, 330, 100, 260, 20)
	GUICtrlSetOnEvent(-1, '_ShowLink')
	GUICtrlSetFont(-1, 10, 400, 4, 'Verdana')
	GUICtrlSetColor(-1, 0x0000FF)
	GUICtrlSetCursor(-1, 0)
	$sMsg = 'Rechtliches:'
	GUICtrlCreateLabel(StringFormat($sMsg), 10, 160, $iWidth, 20)
	GUICtrlSetFont(-1, 11, 800, 4, 'Verdana')
	$sMsg = '- Dieses Programm darf kostenlos genutzt und beliebig weitergegeben werden!\n'
	$sMsg &= '- nderungen am Programm drfen beliebig vorgenommen werden!\n'
	$sMsg &= '- Aber der Hinweis auf den Urheber der Icons darf nicht entfernt werden!\n\n'
	GUICtrlCreateLabel(StringFormat($sMsg), 10, 190, $iWidth, 60)
	GUICtrlSetFont(-1, 11, 400, 2, 'Verdana')
	GUICtrlCreateButton('Ok', Int($iWidth / 2) - 40, 260, 80, 25, $BS_DEFPUSHBUTTON)
	GUICtrlSetOnEvent(-1, '_CloseHelp')
	GUICtrlSetFont(-1, 10, 400, 0, 'Arial')
EndFunc   ;==>_CreateHelp

Func _ShowLink()
	Switch @GUI_CtrlId
		Case $idAuthor1
			ShellExecute($sLink1)
		Case $idAuthor2
			ShellExecute($sLink2)
	EndSwitch
EndFunc   ;==>_ShowLink
